Bug 470714 - Inherit group tag from src.rpm if unspecified in a subpackage
Inherit group tag from src.rpm if unspecified in a subpackage
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Target
  Show dependency treegraph
Reported: 2008-11-09 04:05 EST by Nicolas Mailhot
Modified: 2013-07-02 19:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-16 12:36:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-11-09 04:05:26 EST
Description of problem:

When I create a package with many subpackages, they do not inherit the src.rpm Group tag if unspecified like other metadata (and rpmlint will complain if this tag is unspecified)

This forces packagers to repeat many times over the same group info (big problem for font set packages which have many subpackages ; each line of useless fluff makes them less maintenable).

And we don't even use this tag anymore for anything useful.

Please limit the pain and make one group tag per spec files sufficient.

Version-Release number of selected component (if applicable):


Example problem spec

Note how the Group tag is about the only useless repetition that could not be factored out in every sub-package
Comment 1 Bug Zapper 2008-11-26 00:05:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 2 Jon Stanley 2008-11-26 14:13:38 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 3 Jindrich Novy 2009-01-13 03:32:13 EST
Fixed upstream.

The group tag is not mandatory for a while now. But good practise is to define at least the group tag in the main package otherwise it is set to "Unspecified".

Group tag of the main package is inherited by subpackages if they haven't defined the group themselves. It applies from now on.
Comment 4 Nicolas Mailhot 2009-02-14 06:56:28 EST
I've just tested it with 

And subpackages are all set to "Unspecified" :(

Maybe your change assumes there is a main package with the same name as the srpm?

In my package all the subpackages have different names (but the srpm has the correct group tag)
Comment 5 Jindrich Novy 2009-02-14 09:23:59 EST
Could you point me to src.rpm of your package?
Comment 6 Nicolas Mailhot 2009-02-14 10:07:45 EST
(In reply to comment #5)
> Could you point me to src.rpm of your package?

Here it is
Comment 7 Jindrich Novy 2009-02-15 12:44:25 EST
The reason you are seeing this is that the patches for the group inheritance aren't in rawhide rpm yet. Only in upstream (basically base for rpm-4.7.0). Maybe we want to backport the patches to current Fedora so that you can use it.
Comment 8 Nicolas Mailhot 2009-02-15 12:55:07 EST
Since F11 is seeing rpm changes all over the place is would be nice to have this one included to have a single big change at F11 time
Comment 9 Jindrich Novy 2009-02-16 12:36:09 EST
The fix is now in backported to rawhide rpm-4.6.0-4.

Note You need to log in before you can comment on or make changes to this bug.